/*
 * JS for startScreen generated by Appery.io
 *
 */

Appery.getProjectGUID = function() {
    return 'a00b2610-cf6c-4e67-93a3-a5f78a7dc68a';
}

function navigateTo(outcome, useAjax) {
    Appery.navigateTo(outcome, useAjax);
}

function adjustContentHeight() {
    Appery.adjustContentHeight();
}

function adjustContentHeightWithPadding() {
    Appery.adjustContentHeightWithPadding();
}

function setDetailContent(pageUrl) {
    Appery.setDetailContent(pageUrl);
}

Appery.AppPages = [{
    "name": "offlinemsg",
    "location": "#offlinemsg"
}, {
    "name": "hilfe",
    "location": "#hilfe"
}, {
    "name": "Konfigurator",
    "location": "#Konfigurator"
}, {
    "name": "startScreen",
    "location": "#startScreen"
}, {
    "name": "Anfahrt",
    "location": "#Anfahrt"
}, {
    "name": "Angebote",
    "location": "#Angebote"
}, {
    "name": "Leistungen",
    "location": "#Leistungen"
}];

startScreen_js = function(runBeforeShow) { /* Object & array with components "name-to-id" mapping */
    var n2id_buf = {
        'startscreen_image': 'startScreen_startscreen_image',
        'navigation': 'startScreen_navigation',
        'nav_felgen': 'startScreen_nav_felgen',
        'mobilelistitembutton_58': 'startScreen_mobilelistitembutton_58',
        'mobileimage_67': 'startScreen_mobileimage_67',
        'mobilelabel_72': 'startScreen_mobilelabel_72',
        'nav_angebote': 'startScreen_nav_angebote',
        'mobilelistitembutton_60': 'startScreen_mobilelistitembutton_60',
        'mobileimage_68': 'startScreen_mobileimage_68',
        'mobilelabel_73': 'startScreen_mobilelabel_73',
        'nav_leistungen': 'startScreen_nav_leistungen',
        'mobilelistitembutton_62': 'startScreen_mobilelistitembutton_62',
        'mobileimage_69': 'startScreen_mobileimage_69',
        'mobilelabel_74': 'startScreen_mobilelabel_74',
        'nav_shop': 'startScreen_nav_shop',
        'mobilelistitembutton_64': 'startScreen_mobilelistitembutton_64',
        'mobileimage_70': 'startScreen_mobileimage_70',
        'mobilelabel_75': 'startScreen_mobilelabel_75',
        'nav_anfahrt': 'startScreen_nav_anfahrt',
        'mobilelistitembutton_66': 'startScreen_mobilelistitembutton_66',
        'mobileimage_71': 'startScreen_mobileimage_71',
        'mobilelabel_76': 'startScreen_mobilelabel_76'
    };

    if ("n2id" in window && window.n2id !== undefined) {
        $.extend(n2id, n2id_buf);
    } else {
        window.n2id = n2id_buf;
    }

    if (navigator.userAgent.indexOf("IEMobile") != -1) {
        //Fixing issue https://github.com/jquery/jquery-mobile/issues/5424 on Windows Phone
        $("div[data-role=page] div[data-role=footer]").css("bottom", "-36px");
    }

    if (Appery.getTargetPlatform == "I") {
        $.each(window.n2id, function(name, id) {
            var elApperyRole = $("#" + id).attr("data-role");
            if (elApperyRole != "appery_label" && elApperyRole != "appery_link") {
                var appleDataSelector = "#" + id + "[x-apple-data-detectors], #" + id + " [x-apple-data-detectors]";
                $(appleDataSelector).attr("x-apple-data-detectors", "false");
            }
        });
    }

    Appery.CurrentScreen = 'startScreen';

    /*
     * Nonvisual components
     */
    var datasources = [];

    StartupService = new Appery.DataSource(StartUpXML, {
        'onComplete': function(jqXHR, textStatus) {

            $t.refreshScreenFormElements("startScreen");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [{
            'PATH': ['root', 'angebote', 'angeboteanzahl'],
            'ID': 'nav_angebote',
            'ATTR': '@',
            'SUBSELECTOR': 'span.ui-li-count'
        }, {
            'PATH': ['root', 'startimg', 'image'],
            'ID': 'startscreen_image',
            'ATTR': 'src'
        }],
        'requestMapping': []
    });

    datasources.push(StartupService);

    /*
     * Events and handlers
     */

    // Before Show
    startScreen_beforeshow = function() {
        Appery.CurrentScreen = "startScreen";
        for (var idx = 0; idx < datasources.length; idx++) {
            datasources[idx].__setupDisplay();
        }
    }

    // On Load
    screen_3671_onLoad = startScreen_onLoad = function() {
        screen_3671_elementsExtraJS();
        $("ul.ui-grid-b li:first-child a").css('background', 'red!important');;
        try {
            StartupService.execute({})
        } catch (ex) {
            console.log(ex.name + '  ' + ex.message);
            hideSpinner();
        };
        toggle('startScreen_startscreen_image', 'mob', 'true');

        jQuery.expr[':'].Contains = function(a, i, m) {
            return (a.textContent || a.innerText || "").toUpperCase().indexOf(m[3].toUpperCase()) >= 0;
        };

        function listFilter(header, list) {
            var form = $("<form>").attr({
                "class": "filterform",
                "action": "#"
            }),
                select = $("<select>").attr({
                    "id": "Konfigurator_felgenherstellerselect"
                });

            $("select#Konfigurator_felgenherstellerselect").change(function() {
                var filter = $(this).val();
                $("div.herstellername").parent().closest("table").hide();
                if (filter) {
                    console.log($(list));
                    $("div.herstellername:Contains(" + filter + ")").parent().closest("table").show();
                    $(".Konfigurator_felge_wrapper").width(($(".the_felge:visible").length) * 120 + "px");
                } else {
                    $("div.herstellername").parent().closest("table").show();
                    $(".Konfigurator_felge_wrapper").width(($(".the_felge:visible").length) * 120 + "px");
                }
                return false;
            }).keyup(function() {
                $(this).change();
            });
        }

        //$(function () {
        listFilter($(".the_felge"), $(".the_felge"));
        //});
        ;

        // TODO fire device events only if necessary (with JS logic)
        startScreen_deviceEvents();
        startScreen_windowEvents();
        screen_3671_elementsEvents();
    }

    // screen window events
    screen_3671_windowEvents = startScreen_windowEvents = function() {

        $('#startScreen').bind('pageshow orientationchange', function() {
            adjustContentHeightWithPadding();
        });

    }

    // device events
    startScreen_deviceEvents = function() {

        document.addEventListener("deviceready", function() {
            $(document).unbind('offline ').bind({
                "offline": function() {
                    Appery.navigateTo('offlinemsg', {
                        transition: 'pop'
                    });
                },
            });

        });
    }

    // screen elements extra js
    screen_3671_elementsExtraJS = startScreen_elementsExtraJS = function() {
        // screen (startScreen) extra code

        /* navigation */

        listView = $("#startScreen_navigation");
        theme = listView.attr("data-theme");
        if (typeof theme !== 'undefined') {
            var themeClass = "ui-btn-up-" + theme;
            listItem = $("#startScreen_navigation .ui-li-static");
            $.each(listItem, function(index, value) {
                $(this).addClass(themeClass);
            });
        }

        /* nav_felgen */

        /* nav_angebote */

        /* nav_leistungen */

        /* nav_shop */

        /* nav_anfahrt */

    }

    // screen elements handler
    screen_3671_elementsEvents = startScreen_elementsEvents = function() {

        $("a :input,a a,a fieldset label").live({
            click: function(event) {
                event.stopPropagation();
            }
        });

        $('#startScreen_mobilecontainer1 [name="nav_felgen"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('Konfigurator', {
                        transition: 'slide',
                        reverse: false
                    });

                }
            },
        });

        $('#startScreen_mobilecontainer1 [name="nav_angebote"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('Angebote', {
                        transition: 'slide',
                        reverse: false
                    });

                }
            },
        });

        $('#startScreen_mobilecontainer1 [name="nav_leistungen"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('Leistungen', {
                        transition: 'slide',
                        reverse: false
                    });

                }
            },
        });

        $('#startScreen_mobilecontainer1 [name="nav_shop"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    window.open('http://shop.xxx-performance.de', 'NewWindow', 'width=600,height=400,toolbar=yes,location=yes,directories=yes,status=yes,menubar=yes,scrollbars=yes,copyhistory=yes,resizable=yes');

                }
            },
        });

        $('#startScreen_mobilecontainer1 [name="nav_anfahrt"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('Anfahrt', {
                        transition: 'slide',
                        reverse: false
                    });

                }
            },
        });

    }

    $("#startScreen").die("pagebeforeshow").live("pagebeforeshow", function(event, ui) {
        startScreen_beforeshow();
    });

    if (runBeforeShow) {
        startScreen_beforeshow();
    } else {
        startScreen_onLoad();
    }

}

$("#startScreen").die("pageinit").live("pageinit", function(event, ui) {
    Appery.processSelectMenu($(this));
    startScreen_js();
});

offlinemsg_js = function(runBeforeShow) { /* Object & array with components "name-to-id" mapping */
    var n2id_buf = {
        'popuplabel': 'offlinemsg_popuplabel'
    };

    if ("n2id" in window && window.n2id !== undefined) {
        $.extend(n2id, n2id_buf);
    } else {
        window.n2id = n2id_buf;
    }

    if (navigator.userAgent.indexOf("IEMobile") != -1) {
        //Fixing issue https://github.com/jquery/jquery-mobile/issues/5424 on Windows Phone
        $("div[data-role=page] div[data-role=footer]").css("bottom", "-36px");
    }

    if (Appery.getTargetPlatform == "I") {
        $.each(window.n2id, function(name, id) {
            var elApperyRole = $("#" + id).attr("data-role");
            if (elApperyRole != "appery_label" && elApperyRole != "appery_link") {
                var appleDataSelector = "#" + id + "[x-apple-data-detectors], #" + id + " [x-apple-data-detectors]";
                $(appleDataSelector).attr("x-apple-data-detectors", "false");
            }
        });
    }

    Appery.CurrentScreen = 'offlinemsg';

    /*
     * Nonvisual components
     */
    var datasources = [];

    /*
     * Events and handlers
     */

    // Before Show
    offlinemsg_beforeshow = function() {
        Appery.CurrentScreen = "offlinemsg";
        for (var idx = 0; idx < datasources.length; idx++) {
            datasources[idx].__setupDisplay();
        }
    }

    // On Load
    screen_77A2_onLoad = offlinemsg_onLoad = function() {
        screen_77A2_elementsExtraJS();

        // TODO fire device events only if necessary (with JS logic)
        offlinemsg_deviceEvents();
        offlinemsg_windowEvents();
        screen_77A2_elementsEvents();
    }

    // screen window events
    screen_77A2_windowEvents = offlinemsg_windowEvents = function() {

        $('#offlinemsg').bind('pageshow orientationchange', function() {
            adjustContentHeightWithPadding();
        });

    }

    // device events
    offlinemsg_deviceEvents = function() {

        document.addEventListener("deviceready", function() {

        });
    }

    // screen elements extra js
    screen_77A2_elementsExtraJS = offlinemsg_elementsExtraJS = function() {
        // screen (offlinemsg) extra code

    }

    // screen elements handler
    screen_77A2_elementsEvents = offlinemsg_elementsEvents = function() {

        $("a :input,a a,a fieldset label").live({
            click: function(event) {
                event.stopPropagation();
            }
        });

    }

    $("#offlinemsg").die("pagebeforeshow").live("pagebeforeshow", function(event, ui) {
        offlinemsg_beforeshow();
    });

    if (runBeforeShow) {
        offlinemsg_beforeshow();
    } else {
        offlinemsg_onLoad();
    }

}

$("#offlinemsg").die("dialoginit").live("dialoginit", function(event, ui) {
    Appery.processSelectMenu($(this));
    offlinemsg_js();
});

$("#offlinemsg").die("dialogcreate").live("dialogcreate", function(event, ui) {
    //Most components initializations are done on "pagecreate" event. This event must be triggered for dialogs too.
    $(this).trigger("pagecreate");
});

hilfe_js = function(runBeforeShow) { /* Object & array with components "name-to-id" mapping */
    var n2id_buf = {
        'mobilelabel_34': 'hilfe_mobilelabel_34',
        'mobilelabel_35': 'hilfe_mobilelabel_35',
        'mobilelabel_44': 'hilfe_mobilelabel_44'
    };

    if ("n2id" in window && window.n2id !== undefined) {
        $.extend(n2id, n2id_buf);
    } else {
        window.n2id = n2id_buf;
    }

    if (navigator.userAgent.indexOf("IEMobile") != -1) {
        //Fixing issue https://github.com/jquery/jquery-mobile/issues/5424 on Windows Phone
        $("div[data-role=page] div[data-role=footer]").css("bottom", "-36px");
    }

    if (Appery.getTargetPlatform == "I") {
        $.each(window.n2id, function(name, id) {
            var elApperyRole = $("#" + id).attr("data-role");
            if (elApperyRole != "appery_label" && elApperyRole != "appery_link") {
                var appleDataSelector = "#" + id + "[x-apple-data-detectors], #" + id + " [x-apple-data-detectors]";
                $(appleDataSelector).attr("x-apple-data-detectors", "false");
            }
        });
    }

    Appery.CurrentScreen = 'hilfe';

    /*
     * Nonvisual components
     */
    var datasources = [];

    mobilecamera1_clone_1 = new Appery.DataSource(CameraService, {
        'onComplete': function(jqXHR, textStatus) {

            $t.refreshScreenFormElements("hilfe");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [],
        'requestMapping': [{
            'PATH': ['quality'],
            'TYPE': 'STRING',
            'ATTR': '80'
        }, {
            'PATH': ['destinationType'],
            'TYPE': 'STRING',
            'ATTR': 'Data URL'
        }, {
            'PATH': ['sourcetype'],
            'TYPE': 'STRING',
            'ATTR': 'Camera'
        }, {
            'PATH': ['allowedit'],
            'TYPE': 'STRING',
            'ATTR': 'true'
        }, {
            'PATH': ['encodingType'],
            'TYPE': 'STRING',
            'ATTR': 'JPEG'
        }, {
            'PATH': ['targetWidth'],
            'TYPE': 'STRING',
            'ATTR': '1024'
        }, {
            'PATH': ['targetHeight'],
            'TYPE': 'STRING',
            'ATTR': '768'
        }]
    });

    datasources.push(mobilecamera1_clone_1);

    /*
     * Events and handlers
     */

    // Before Show
    hilfe_beforeshow = function() {
        Appery.CurrentScreen = "hilfe";
        for (var idx = 0; idx < datasources.length; idx++) {
            datasources[idx].__setupDisplay();
        }
    }

    // On Load
    screen_055B_onLoad = hilfe_onLoad = function() {
        screen_055B_elementsExtraJS();

        // TODO fire device events only if necessary (with JS logic)
        hilfe_deviceEvents();
        hilfe_windowEvents();
        screen_055B_elementsEvents();
    }

    // screen window events
    screen_055B_windowEvents = hilfe_windowEvents = function() {

        $('#hilfe').bind('pageshow orientationchange', function() {
            adjustContentHeightWithPadding();
        });

    }

    // device events
    hilfe_deviceEvents = function() {

        document.addEventListener("deviceready", function() {

        });
    }

    // screen elements extra js
    screen_055B_elementsExtraJS = hilfe_elementsExtraJS = function() {
        // screen (hilfe) extra code

    }

    // screen elements handler
    screen_055B_elementsEvents = hilfe_elementsEvents = function() {

        $("a :input,a a,a fieldset label").live({
            click: function(event) {
                event.stopPropagation();
            }
        });

    }

    $("#hilfe").die("pagebeforeshow").live("pagebeforeshow", function(event, ui) {
        hilfe_beforeshow();
    });

    if (runBeforeShow) {
        hilfe_beforeshow();
    } else {
        hilfe_onLoad();
    }

}

$("#hilfe").die("pageinit").live("pageinit", function(event, ui) {
    Appery.processSelectMenu($(this));
    hilfe_js();
});

Konfigurator_js = function(runBeforeShow) { /* Object & array with components "name-to-id" mapping */
    var n2id_buf = {
        'helpbtn': 'Konfigurator_helpbtn',
        'mobilebutton_27': 'Konfigurator_mobilebutton_27',
        'btn_upload': 'Konfigurator_btn_upload',
        'ladebildschirm': 'Konfigurator_ladebildschirm',
        'mobileimage_26': 'Konfigurator_mobileimage_26',
        'mobileimage_32': 'Konfigurator_mobileimage_32',
        'mobileimage_33': 'Konfigurator_mobileimage_33',
        'fslide': 'Konfigurator_fslide',
        'felgenherstellerselect': 'Konfigurator_felgenherstellerselect',
        'felgenherstellerselect-0': 'Konfigurator_felgenherstellerselect-0',
        'mobilegrid_34': 'Konfigurator_mobilegrid_34',
        'felgenwrapper': 'Konfigurator_felgenwrapper',
        'mobilegrid_39': 'Konfigurator_mobilegrid_39',
        'felgencontainer': 'Konfigurator_felgencontainer',
        'felge': 'Konfigurator_felge',
        'felge_image': 'Konfigurator_felge_image',
        'felgenbild': 'Konfigurator_felgenbild',
        'felgenbild2': 'Konfigurator_felgenbild2',
        'felge_hersteller': 'Konfigurator_felge_hersteller',
        'felgenhersteller_text': 'Konfigurator_felgenhersteller_text',
        'felge_name': 'Konfigurator_felge_name',
        'felgenname_text': 'Konfigurator_felgenname_text',
        'mobilegridcell_40': 'Konfigurator_mobilegridcell_40',
        'rimlink': 'Konfigurator_rimlink',
        'overlay_copyright': 'Konfigurator_overlay_copyright',
        'mobilenavbar_28': 'Konfigurator_mobilenavbar_28',
        'mobilenavbaritem_29': 'Konfigurator_mobilenavbaritem_29',
        'mobilenavbaritem_30': 'Konfigurator_mobilenavbaritem_30',
        'mobilenavbaritem_31': 'Konfigurator_mobilenavbaritem_31'
    };

    if ("n2id" in window && window.n2id !== undefined) {
        $.extend(n2id, n2id_buf);
    } else {
        window.n2id = n2id_buf;
    }

    if (navigator.userAgent.indexOf("IEMobile") != -1) {
        //Fixing issue https://github.com/jquery/jquery-mobile/issues/5424 on Windows Phone
        $("div[data-role=page] div[data-role=footer]").css("bottom", "-36px");
    }

    if (Appery.getTargetPlatform == "I") {
        $.each(window.n2id, function(name, id) {
            var elApperyRole = $("#" + id).attr("data-role");
            if (elApperyRole != "appery_label" && elApperyRole != "appery_link") {
                var appleDataSelector = "#" + id + "[x-apple-data-detectors], #" + id + " [x-apple-data-detectors]";
                $(appleDataSelector).attr("x-apple-data-detectors", "false");
            }
        });
    }

    Appery.CurrentScreen = 'Konfigurator';

    /*
     * Nonvisual components
     */
    var datasources = [];

    mobilecamera1 = new Appery.DataSource(CameraService, {
        'onComplete': function(jqXHR, textStatus) {

            $t.refreshScreenFormElements("Konfigurator");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [{
            'PATH': ['imageDataBase64'],
            'ID': 'mobileimage_26',
            'ATTR': 'src'
        }],
        'requestMapping': [{
            'PATH': ['quality'],
            'TYPE': 'STRING',
            'ATTR': '80'
        }, {
            'PATH': ['destinationType'],
            'TYPE': 'STRING',
            'ATTR': 'Data URL'
        }, {
            'PATH': ['sourcetype'],
            'TYPE': 'STRING',
            'ATTR': 'Camera'
        }, {
            'PATH': ['allowedit'],
            'TYPE': 'STRING',
            'ATTR': 'true'
        }, {
            'PATH': ['encodingType'],
            'TYPE': 'STRING',
            'ATTR': 'JPEG'
        }, {
            'PATH': ['targetWidth'],
            'TYPE': 'STRING',
            'ATTR': '1024'
        }, {
            'PATH': ['targetHeight'],
            'TYPE': 'STRING',
            'ATTR': '768'
        }]
    });

    datasources.push(mobilecamera1);

    restservice2 = new Appery.DataSource(FelgenXML, {
        'onComplete': function(jqXHR, textStatus) {
            configurator_loadscreen();
            $(".Konfigurator_felge_wrapper").width(($(".the_felge").length - 1) * 160 + "px");

            $(".drag").css("visibility", "visible");
            $(".copyright_image").css("visibility", "visible");
            wideitbaby();

            $t.refreshScreenFormElements("Konfigurator");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [{
            'PATH': ['froot', 'felgenkonfigurator', 'felge'],
            'ID': 'felge',
            'SET': [{
                'PATH': ['fbild'],
                'ID': 'felgenbild',
                'ATTR': 'src'
            }, {
                'PATH': ['fbild2'],
                'ID': 'felgenbild2',
                'ATTR': 'src'
            }, {
                'PATH': ['fhersteller'],
                'ID': 'felgenhersteller_text',
                'ATTR': '@'
            }, {
                'PATH': ['fname'],
                'ID': 'felgenname_text',
                'ATTR': '@'
            }, {
                'PATH': ['fshop'],
                'ID': 'rimlink',
                'ATTR': 'href'
            }]
        }],
        'requestMapping': []
    });

    datasources.push(restservice2);

    mobilecamera2 = new Appery.DataSource(CameraService, {
        'onComplete': function(jqXHR, textStatus) {

            $t.refreshScreenFormElements("Konfigurator");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [{
            'PATH': ['imageDataBase64'],
            'ID': 'mobileimage_26',
            'ATTR': 'src'
        }],
        'requestMapping': [{
            'PATH': ['quality'],
            'TYPE': 'STRING',
            'ATTR': '80'
        }, {
            'PATH': ['destinationType'],
            'TYPE': 'STRING',
            'ATTR': 'Data URL'
        }, {
            'PATH': ['sourcetype'],
            'TYPE': 'STRING',
            'ATTR': 'Saved photo album'
        }, {
            'PATH': ['allowedit'],
            'TYPE': 'STRING',
            'ATTR': 'true'
        }, {
            'PATH': ['encodingType'],
            'TYPE': 'STRING',
            'ATTR': 'JPEG'
        }, {
            'PATH': ['targetWidth'],
            'TYPE': 'STRING',
            'ATTR': '1024'
        }, {
            'PATH': ['targetHeight'],
            'TYPE': 'STRING',
            'ATTR': '768'
        }]
    });

    datasources.push(mobilecamera2);

    /*
     * Events and handlers
     */

    // Before Show
    Konfigurator_beforeshow = function() {
        Appery.CurrentScreen = "Konfigurator";
        for (var idx = 0; idx < datasources.length; idx++) {
            datasources[idx].__setupDisplay();
        }
    }

    // On Load
    screen_3C82_onLoad = Konfigurator_onLoad = function() {
        screen_3C82_elementsExtraJS();
        try {
            restservice2.execute({})
        } catch (ex) {
            console.log(ex.name + '  ' + ex.message);
            hideSpinner();
        };
        $('.drag').drag(function(ev, dd) {
            $(this).css({
                top: dd.offsetY,
                left: dd.offsetX
            });
        });

        ;

        // TODO fire device events only if necessary (with JS logic)
        Konfigurator_deviceEvents();
        Konfigurator_windowEvents();
        screen_3C82_elementsEvents();
    }

    // screen window events
    screen_3C82_windowEvents = Konfigurator_windowEvents = function() {

        $('#Konfigurator').bind('pageshow orientationchange', function() {
            adjustContentHeightWithPadding();
        });
        $('#Konfigurator').bind({
            focus: function() {
                tra();
            },
        });

    }

    // device events
    Konfigurator_deviceEvents = function() {

        document.addEventListener("deviceready", function() {

        });
    }

    // screen elements extra js
    screen_3C82_elementsExtraJS = Konfigurator_elementsExtraJS = function() {
        // screen (Konfigurator) extra code

        /* felgenherstellerselect */

        $("#Konfigurator_felgenherstellerselect").parent().find("a.ui-btn").attr("tabindex", "5");

    }

    // screen elements handler
    screen_3C82_elementsEvents = Konfigurator_elementsEvents = function() {

        $("a :input,a a,a fieldset label").live({
            click: function(event) {
                event.stopPropagation();
            }
        });

        $('#Konfigurator_mobileheader1 [name="helpbtn"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('hilfe', {
                        transition: 'slide',
                        reverse: false
                    });

                }
            },
        });

        $('#Konfigurator_mobilecontainer1 [name="mobilebutton_27"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    showmewhatugot();
                    try {
                        mobilecamera1.execute({})
                    } catch (ex) {
                        console.log(ex.name + '  ' + ex.message);
                        hideSpinner();
                    };

                }
            },
        });
        $('#Konfigurator_mobilecontainer1 [name="btn_upload"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    showmewhatugot();
                    try {
                        mobilecamera2.execute({})
                    } catch (ex) {
                        console.log(ex.name + '  ' + ex.message);
                        hideSpinner();
                    };

                }
            },
        });

        $('#Konfigurator_mobilecontainer1 [name="fslide"]').die().live({
            change: function() {
                $('.drag').css({
                    width: Appery("fslide").val(),
                    height: Appery("fslide").val()
                });
            },
        });

        $('#Konfigurator_mobilefooter1 [name="mobilenavbaritem_29"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('startScreen', {
                        transition: 'slidedown',
                        reverse: false
                    });

                }
            },
        });
        $('#Konfigurator_mobilefooter1 [name="mobilenavbaritem_30"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('Leistungen', {
                        transition: 'slidedown',
                        reverse: false
                    });

                }
            },
        });
        $('#Konfigurator_mobilefooter1 [name="mobilenavbaritem_31"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('Anfahrt', {
                        transition: 'slidedown',
                        reverse: false
                    });

                }
            },
        });

    }

    $("#Konfigurator").die("pagebeforeshow").live("pagebeforeshow", function(event, ui) {
        Konfigurator_beforeshow();
    });

    if (runBeforeShow) {
        Konfigurator_beforeshow();
    } else {
        Konfigurator_onLoad();
    }

}

$("#Konfigurator").die("pageinit").live("pageinit", function(event, ui) {
    Appery.processSelectMenu($(this));
    Konfigurator_js();
});

Anfahrt_js = function(runBeforeShow) { /* Object & array with components "name-to-id" mapping */
    var n2id_buf = {
        'googlemap_32': 'Anfahrt_googlemap_32',
        'marker_33': 'Anfahrt_marker_33',
        'mobilelabel_34': 'Anfahrt_mobilelabel_34',
        'mobilelabel_35': 'Anfahrt_mobilelabel_35',
        'mobilelabel_36': 'Anfahrt_mobilelabel_36',
        'mobilelabel_37': 'Anfahrt_mobilelabel_37',
        'mobilelabel_43': 'Anfahrt_mobilelabel_43',
        'mobilelabel_44': 'Anfahrt_mobilelabel_44',
        'mobilelabel_45': 'Anfahrt_mobilelabel_45',
        'mobilelabel_46': 'Anfahrt_mobilelabel_46',
        'mobilelabel_47': 'Anfahrt_mobilelabel_47',
        'mobilelabel_48': 'Anfahrt_mobilelabel_48',
        'mobilelabel_39': 'Anfahrt_mobilelabel_39',
        'mobilelabel_40': 'Anfahrt_mobilelabel_40',
        'mobilelabel_41': 'Anfahrt_mobilelabel_41',
        'button_mail': 'Anfahrt_button_mail',
        'button_call': 'Anfahrt_button_call',
        'mobilenavbar_28': 'Anfahrt_mobilenavbar_28',
        'mobilenavbaritem_29': 'Anfahrt_mobilenavbaritem_29',
        'mobilenavbaritem_30': 'Anfahrt_mobilenavbaritem_30',
        'mobilenavbaritem_31': 'Anfahrt_mobilenavbaritem_31'
    };

    if ("n2id" in window && window.n2id !== undefined) {
        $.extend(n2id, n2id_buf);
    } else {
        window.n2id = n2id_buf;
    }

    if (navigator.userAgent.indexOf("IEMobile") != -1) {
        //Fixing issue https://github.com/jquery/jquery-mobile/issues/5424 on Windows Phone
        $("div[data-role=page] div[data-role=footer]").css("bottom", "-36px");
    }

    if (Appery.getTargetPlatform == "I") {
        $.each(window.n2id, function(name, id) {
            var elApperyRole = $("#" + id).attr("data-role");
            if (elApperyRole != "appery_label" && elApperyRole != "appery_link") {
                var appleDataSelector = "#" + id + "[x-apple-data-detectors], #" + id + " [x-apple-data-detectors]";
                $(appleDataSelector).attr("x-apple-data-detectors", "false");
            }
        });
    }

    Appery.CurrentScreen = 'Anfahrt';

    /*
     * Nonvisual components
     */
    var datasources = [];

    mobilecamera1 = new Appery.DataSource(CameraService, {
        'onComplete': function(jqXHR, textStatus) {

            $t.refreshScreenFormElements("Anfahrt");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [],
        'requestMapping': [{
            'PATH': ['quality'],
            'TYPE': 'STRING',
            'ATTR': '80'
        }, {
            'PATH': ['destinationType'],
            'TYPE': 'STRING',
            'ATTR': 'Data URL'
        }, {
            'PATH': ['sourcetype'],
            'TYPE': 'STRING',
            'ATTR': 'Camera'
        }, {
            'PATH': ['allowedit'],
            'TYPE': 'STRING',
            'ATTR': 'true'
        }, {
            'PATH': ['encodingType'],
            'TYPE': 'STRING',
            'ATTR': 'JPEG'
        }, {
            'PATH': ['targetWidth'],
            'TYPE': 'STRING',
            'ATTR': '1024'
        }, {
            'PATH': ['targetHeight'],
            'TYPE': 'STRING',
            'ATTR': '768'
        }]
    });

    datasources.push(mobilecamera1);

    /*
     * Events and handlers
     */

    // Before Show
    Anfahrt_beforeshow = function() {
        Appery.CurrentScreen = "Anfahrt";
        for (var idx = 0; idx < datasources.length; idx++) {
            datasources[idx].__setupDisplay();
        }
    }

    // On Load
    screen_9D78_onLoad = Anfahrt_onLoad = function() {
        screen_9D78_elementsExtraJS();

        // TODO fire device events only if necessary (with JS logic)
        Anfahrt_deviceEvents();
        Anfahrt_windowEvents();
        screen_9D78_elementsEvents();
    }

    // screen window events
    screen_9D78_windowEvents = Anfahrt_windowEvents = function() {

        $('#Anfahrt').bind('pageshow orientationchange', function() {
            adjustContentHeightWithPadding();
        });

    }

    // device events
    Anfahrt_deviceEvents = function() {

        document.addEventListener("deviceready", function() {

        });
    }

    // screen elements extra js
    screen_9D78_elementsExtraJS = Anfahrt_elementsExtraJS = function() {
        // screen (Anfahrt) extra code

        /* googlemap_32 */

        $("[name = 'googlemap_32']").wrap("<div/>");
        $("[name = 'googlemap_32']").parent().css("margin-left", $("[name = 'googlemap_32']").css("margin-left"));
        $("[name = 'googlemap_32']").parent().css("margin-right", $("[name = 'googlemap_32']").css("margin-right"));
        $("[name = 'googlemap_32']").css("margin-left", '0');
        $("[name = 'googlemap_32']").css("margin-right", '0');

        var googlemap_32_options = {
            markerSourceName: "googlemap_32_markers",
            latitude: "51.488253",
            longitude: "7.178814",
            address: "Kabeisemannsweg 10, Bochum",
            zoom: 17,
            showLocationMarker: false
        }

        Appery.__registerComponent('googlemap_32', new Appery.ApperyMapComponent("googlemap_32", googlemap_32_options));
        $("[name='googlemap_32_markers'] [apperytype='marker']").attr("reRender", "googlemap_32");
        $("[name='googlemap_32']").closest("[data-role='page']").bind({
            pageshow: function() {
                if (Appery('googlemap_32') != undefined) {
                    Appery('googlemap_32').refresh();
                }
            }
        });

    }

    // screen elements handler
    screen_9D78_elementsEvents = Anfahrt_elementsEvents = function() {

        $("a :input,a a,a fieldset label").live({
            click: function(event) {
                event.stopPropagation();
            }
        });

        $('#Anfahrt_mobilecontainer1 [name="button_mail"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    window.top.location = 'mailto:info@xxx-performance.de';

                }
            },
        });
        $('#Anfahrt_mobilecontainer1 [name="button_call"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    window.top.location = 'tel:+4923453090554';

                }
            },
        });

        $('#Anfahrt_mobilefooter1 [name="mobilenavbaritem_29"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('startScreen', {
                        transition: 'slide',
                        reverse: true
                    });

                }
            },
        });
        $('#Anfahrt_mobilefooter1 [name="mobilenavbaritem_30"]').die().live({
            click: function() {
                if (!$(this).attr('disabled')) {
                    Appery.navigateTo('Leistungen', {
                        transition: 'slide',
                        reverse: true
                    });

                }
            },
        });

    }

    $("#Anfahrt").die("pagebeforeshow").live("pagebeforeshow", function(event, ui) {
        Anfahrt_beforeshow();
    });

    if (runBeforeShow) {
        Anfahrt_beforeshow();
    } else {
        Anfahrt_onLoad();
    }

}

$("#Anfahrt").die("pageinit").live("pageinit", function(event, ui) {
    Appery.processSelectMenu($(this));
    Anfahrt_js();
});

Angebote_js = function(runBeforeShow) { /* Object & array with components "name-to-id" mapping */
    var n2id_buf = {
        'angebot_head': 'Angebote_angebot_head',
        'angebotwrap': 'Angebote_angebotwrap',
        'mobilegridcell_51': 'Angebote_mobilegridcell_51',
        'angebotinner': 'Angebote_angebotinner',
        'mobilegridcell_58': 'Angebote_mobilegridcell_58',
        'angebothead': 'Angebote_angebothead',
        'mobilegridcell_60': 'Angebote_mobilegridcell_60',
        'angebotself': 'Angebote_angebotself',
        'mobilegridcell_62': 'Angebote_mobilegridcell_62',
        'angebotvalid': 'Angebote_angebotvalid'
    };

    if ("n2id" in window && window.n2id !== undefined) {
        $.extend(n2id, n2id_buf);
    } else {
        window.n2id = n2id_buf;
    }

    if (navigator.userAgent.indexOf("IEMobile") != -1) {
        //Fixing issue https://github.com/jquery/jquery-mobile/issues/5424 on Windows Phone
        $("div[data-role=page] div[data-role=footer]").css("bottom", "-36px");
    }

    if (Appery.getTargetPlatform == "I") {
        $.each(window.n2id, function(name, id) {
            var elApperyRole = $("#" + id).attr("data-role");
            if (elApperyRole != "appery_label" && elApperyRole != "appery_link") {
                var appleDataSelector = "#" + id + "[x-apple-data-detectors], #" + id + " [x-apple-data-detectors]";
                $(appleDataSelector).attr("x-apple-data-detectors", "false");
            }
        });
    }

    Appery.CurrentScreen = 'Angebote';

    /*
     * Nonvisual components
     */
    var datasources = [];

    angebote2014 = new Appery.DataSource(load_xml_angebote, {
        'onComplete': function(jqXHR, textStatus) {
            toggle('Angebote_angebot_head', 'mob', 'false');

            $t.refreshScreenFormElements("Angebote");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [{
            'PATH': ['root', 'angebote', 'angebothead'],
            'ID': 'angebot_head',
            'ATTR': '@'
        }, {
            'PATH': ['root', 'angebote', 'angebot'],
            'ID': 'angebotwrap',
            'SET': [{
                'PATH': ['date'],
                'ID': 'angebotvalid',
                'ATTR': '@'
            }, {
                'PATH': ['name'],
                'ID': 'angebothead',
                'ATTR': '@'
            }, {
                'PATH': ['offer'],
                'ID': 'angebotself',
                'ATTR': '@'
            }]
        }],
        'requestMapping': []
    });

    datasources.push(angebote2014);

    /*
     * Events and handlers
     */

    // Before Show
    Angebote_beforeshow = function() {
        Appery.CurrentScreen = "Angebote";
        for (var idx = 0; idx < datasources.length; idx++) {
            datasources[idx].__setupDisplay();
        }
    }

    // On Load
    screen_3529_onLoad = Angebote_onLoad = function() {
        screen_3529_elementsExtraJS();
        try {
            angebote2014.execute({})
        } catch (ex) {
            console.log(ex.name + '  ' + ex.message);
            hideSpinner();
        };

        // TODO fire device events only if necessary (with JS logic)
        Angebote_deviceEvents();
        Angebote_windowEvents();
        screen_3529_elementsEvents();
    }

    // screen window events
    screen_3529_windowEvents = Angebote_windowEvents = function() {

        $('#Angebote').bind('pageshow orientationchange', function() {
            adjustContentHeightWithPadding();
        });

    }

    // device events
    Angebote_deviceEvents = function() {

        document.addEventListener("deviceready", function() {

        });
    }

    // screen elements extra js
    screen_3529_elementsExtraJS = Angebote_elementsExtraJS = function() {
        // screen (Angebote) extra code

    }

    // screen elements handler
    screen_3529_elementsEvents = Angebote_elementsEvents = function() {

        $("a :input,a a,a fieldset label").live({
            click: function(event) {
                event.stopPropagation();
            }
        });

    }

    $("#Angebote").die("pagebeforeshow").live("pagebeforeshow", function(event, ui) {
        Angebote_beforeshow();
    });

    if (runBeforeShow) {
        Angebote_beforeshow();
    } else {
        Angebote_onLoad();
    }

}

$("#Angebote").die("pageinit").live("pageinit", function(event, ui) {
    Appery.processSelectMenu($(this));
    Angebote_js();
});

Leistungen_js = function(runBeforeShow) { /* Object & array with components "name-to-id" mapping */
    var n2id_buf = {
        'mobilelabel_34': 'Leistungen_mobilelabel_34',
        'leistungen_head': 'Leistungen_leistungen_head',
        'leistungen_grid': 'Leistungen_leistungen_grid',
        'mobilegridcell_37': 'Leistungen_mobilegridcell_37',
        'mobilegridcell_38': 'Leistungen_mobilegridcell_38',
        'limage': 'Leistungen_limage',
        'mobilegridcell_43': 'Leistungen_mobilegridcell_43',
        'lname': 'Leistungen_lname',
        'ldescr': 'Leistungen_ldescr'
    };

    if ("n2id" in window && window.n2id !== undefined) {
        $.extend(n2id, n2id_buf);
    } else {
        window.n2id = n2id_buf;
    }

    if (navigator.userAgent.indexOf("IEMobile") != -1) {
        //Fixing issue https://github.com/jquery/jquery-mobile/issues/5424 on Windows Phone
        $("div[data-role=page] div[data-role=footer]").css("bottom", "-36px");
    }

    if (Appery.getTargetPlatform == "I") {
        $.each(window.n2id, function(name, id) {
            var elApperyRole = $("#" + id).attr("data-role");
            if (elApperyRole != "appery_label" && elApperyRole != "appery_link") {
                var appleDataSelector = "#" + id + "[x-apple-data-detectors], #" + id + " [x-apple-data-detectors]";
                $(appleDataSelector).attr("x-apple-data-detectors", "false");
            }
        });
    }

    Appery.CurrentScreen = 'Leistungen';

    /*
     * Nonvisual components
     */
    var datasources = [];

    mobilecamera1 = new Appery.DataSource(CameraService, {
        'onComplete': function(jqXHR, textStatus) {

            $t.refreshScreenFormElements("Leistungen");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [],
        'requestMapping': [{
            'PATH': ['quality'],
            'TYPE': 'STRING',
            'ATTR': '80'
        }, {
            'PATH': ['destinationType'],
            'TYPE': 'STRING',
            'ATTR': 'Data URL'
        }, {
            'PATH': ['sourcetype'],
            'TYPE': 'STRING',
            'ATTR': 'Camera'
        }, {
            'PATH': ['allowedit'],
            'TYPE': 'STRING',
            'ATTR': 'true'
        }, {
            'PATH': ['encodingType'],
            'TYPE': 'STRING',
            'ATTR': 'JPEG'
        }, {
            'PATH': ['targetWidth'],
            'TYPE': 'STRING',
            'ATTR': '1024'
        }, {
            'PATH': ['targetHeight'],
            'TYPE': 'STRING',
            'ATTR': '768'
        }]
    });

    datasources.push(mobilecamera1);

    restservice1 = new Appery.DataSource(load_xml_angebote, {
        'onComplete': function(jqXHR, textStatus) {
            toggle('Leistungen_mobilelabel_34', 'mob', 'false');

            $t.refreshScreenFormElements("Leistungen");
        },
        'onSuccess': function(data) {},
        'onError': function(jqXHR, textStatus, errorThrown) {},
        'responseMapping': [{
            'PATH': ['root', 'leistungen', 'lheadline'],
            'ID': 'leistungen_head',
            'ATTR': '@'
        }, {
            'PATH': ['root', 'leistungen', 'lpunkt'],
            'ID': 'leistungen_grid',
            'SET': [{
                'PATH': ['ldescr'],
                'ID': 'ldescr',
                'ATTR': '@'
            }, {
                'PATH': ['limage'],
                'ID': 'limage',
                'ATTR': 'src'
            }, {
                'PATH': ['lname'],
                'ID': 'lname',
                'ATTR': '@'
            }]
        }],
        'requestMapping': []
    });

    datasources.push(restservice1);

    /*
     * Events and handlers
     */

    // Before Show
    Leistungen_beforeshow = function() {
        Appery.CurrentScreen = "Leistungen";
        for (var idx = 0; idx < datasources.length; idx++) {
            datasources[idx].__setupDisplay();
        }
    }

    // On Load
    screen_F8B6_onLoad = Leistungen_onLoad = function() {
        screen_F8B6_elementsExtraJS();
        try {
            restservice1.execute({})
        } catch (ex) {
            console.log(ex.name + '  ' + ex.message);
            hideSpinner();
        };

        // TODO fire device events only if necessary (with JS logic)
        Leistungen_deviceEvents();
        Leistungen_windowEvents();
        screen_F8B6_elementsEvents();
    }

    // screen window events
    screen_F8B6_windowEvents = Leistungen_windowEvents = function() {

        $('#Leistungen').bind('pageshow orientationchange', function() {
            adjustContentHeightWithPadding();
        });

    }

    // device events
    Leistungen_deviceEvents = function() {

        document.addEventListener("deviceready", function() {

        });
    }

    // screen elements extra js
    screen_F8B6_elementsExtraJS = Leistungen_elementsExtraJS = function() {
        // screen (Leistungen) extra code

    }

    // screen elements handler
    screen_F8B6_elementsEvents = Leistungen_elementsEvents = function() {

        $("a :input,a a,a fieldset label").live({
            click: function(event) {
                event.stopPropagation();
            }
        });

    }

    $("#Leistungen").die("pagebeforeshow").live("pagebeforeshow", function(event, ui) {
        Leistungen_beforeshow();
    });

    if (runBeforeShow) {
        Leistungen_beforeshow();
    } else {
        Leistungen_onLoad();
    }

}

$("#Leistungen").die("pageinit").live("pageinit", function(event, ui) {
    Appery.processSelectMenu($(this));
    Leistungen_js();
});